List Model Lab run artifacts

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/model-lab-api/runs/{run_id}/artifactshttps://api.ap2.datadoghq.com/api/v2/model-lab-api/runs/{run_id}/artifactshttps://api.datadoghq.eu/api/v2/model-lab-api/runs/{run_id}/artifactshttps://api.ddog-gov.com/api/v2/model-lab-api/runs/{run_id}/artifactshttps://api.us2.ddog-gov.com/api/v2/model-lab-api/runs/{run_id}/artifactshttps://api.datadoghq.com/api/v2/model-lab-api/runs/{run_id}/artifactshttps://api.us3.datadoghq.com/api/v2/model-lab-api/runs/{run_id}/artifactshttps://api.us5.datadoghq.com/api/v2/model-lab-api/runs/{run_id}/artifacts

Overview

List artifact files for a specific Model Lab run.

Arguments

Path Parameters

Name

Type

Description

run_id [required]

integer

The ID of the Model Lab run.

Query Strings

Name

Type

Description

path

string

Optional subdirectory path within the run’s artifacts.

Response

OK

Response containing the artifact listing for a Model Lab run.

Expand All

Field

Type

Description

data [required]

object

A run artifacts JSON:API resource object.

attributes [required]

object

Artifact listing for a Model Lab run.

files [required]

[object]

The list of artifact files and directories.

file_size

int64

The size of the file in bytes.

is_dir [required]

boolean

Whether this artifact entry is a directory.

path [required]

string

The path of the artifact relative to the run's artifact root.

path_in_project [required]

string

The path of the run's artifacts relative to the project's artifact root.

id [required]

string

The unique identifier of the artifacts resource.

type [required]

enum

The JSON:API type for a run artifacts resource. Allowed enum values: artifacts

{
  "data": {
    "attributes": {
      "files": [
        {
          "file_size": "integer",
          "is_dir": false,
          "path": "model/weights.pt"
        }
      ],
      "path_in_project": "runs/42"
    },
    "id": "42",
    "type": "artifacts"
  }
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Internal Server Error

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Code Example

                  # Path parameters
export run_id="42"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/model-lab-api/runs/${run_id}/artifacts" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"